<?php

// Reminder: always indent with 4 spaces (no tabs).
// +---------------------------------------------------------------------------+
// | Universal Plugin 1.0.3 for Geeklog - The Ultimate Weblog                  |
// +---------------------------------------------------------------------------+
// | admin/index.php                                                           |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2002 by the following authors:                              |
// |                                                                           |
// | Author:                                                                   |
// | Constructed with the Universal Plugin                                     |
// | Copyright (C) 2002 by the following authors:                              |
// | Tom Willett                 -    twillett@users.sourceforge.net           |
// | Blaine Lang                 -    langmail@sympatico.ca                    |
// | The Universal Plugin is based on prior work by:                           |
// | Tony Bibbs                  -    tony@tonybibbs.com                       |
// |                                                                           |
// | modified by mystral-kk      - geeklog AT mystral-k DOT net                |
// | modified by dengen          - dengen AT mail DOT trybase DOT com          |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//
// $Id$

require_once '../../../lib-common.php';
require_once ('../../auth.inc.php');

// Only let admin users access this page
if ( !SEC_hasRights( '{plugin}.admin' ) ) {
    // Someone is trying to illegally access this page
    COM_errorLog( "Someone has tried to illegally access the {plugin} Admin page.  User id: {$_USER['uid']}, Username: {$_USER['username']}, IP: $REMOTE_ADDR", 1 );
    $display  = COM_siteHeader();
    $display .= COM_startBlock( $LANG_{conf_var_prefix}['access_denied'] );
    $display .= $LANG_{lang_var_postfix}['access_denied_msg'];
    $display .= COM_endBlock();
    $display .= COM_siteFooter( true );
    echo $display;
    exit;
}
 
function list{plugin}()
{
    global $_CONF, $_TABLES, $LANG_ADMIN, $LANG_{lang_var_postfix};

    require_once( $_CONF['path_system'] . 'lib-admin.php' );

    $retval = '';

    $header_arr = array(
        array( 'text'  => $LANG_ADMIN['edit'],
               'field' => 'edit',
               'sort'  => false
        ),
        array( 'text'  => $LANG_{lang_var_postfix}['stats_title'],
               'field' => 'title',
               'sort'  => true
        ),
        array( 'text'  => $LANG_{lang_var_postfix}['stats_value'],
               'field' => 'value',
               'sort'  => true
        )
    );

    $defsort_arr = array(
        'field'     => 'title',
        'direction' => 'desc'
    );

    $menu_arr = array (
        array( 'url'  => $_CONF['site_admin_url'] . '/plugins/{plugin}/index.php?mode=edit',
               'text' => $LANG_ADMIN['create_new']
        ),
        array( 'url'  => $_CONF['site_admin_url'],
               'text' => $LANG_ADMIN['admin_home']
        )
    );

    $text_arr = array(
        'has_menu'     => true,
        'has_extras'   => true,
        'title'        => $LANG_{lang_var_postfix}['manager'],
        'instructions' => $LANG_{lang_var_postfix}['instructions'],
        'icon'         => $_CONF['site_url'] . '/{plugin}/images/{plugin}.gif',
        'form_url'     => $_CONF['site_admin_url'] . "/plugins/{plugin}/index.php"
    );

    $query_arr = array(
        'table'          => 'table1',
        'sql'            => "SELECT * FROM {$_TABLES['table1']} WHERE 1=1",
        'query_fields'   => array('title'),
        'default_filter' => COM_getPermSql ('AND')
    );

    $retval = ADMIN_list ('{plugin}', 'plugin_getListField_{plugin}', $header_arr,
                          $text_arr, $query_arr, $menu_arr, $defsort_arr);

    return $retval;
}

// MAIN

$display = '';

$mode = '';
if (isset ($_REQUEST['mode'])) {
    $mode = COM_applyFilter($_REQUEST['mode']);
}

if ($mode == 'edit') {

    $display .= COM_siteHeader ('menu', 'Editor');



} else if (($mode == $LANG_ADMIN['save']) && !empty ($LANG_ADMIN['save'])) {

    $display .= COM_siteHeader ('menu', $LANG_{lang_var_postfix}['manager']);



} else if (($mode == $LANG_ADMIN['delete']) && !empty ($LANG_ADMIN['delete'])) {

    $display .= COM_siteHeader ('menu', $LANG_{lang_var_postfix}['manager']);



} else { // 'cancel' or no mode at all

    $display .= COM_siteHeader ('menu', $LANG_{lang_var_postfix}['manager']);
    $display .= list{plugin}();
    
}

$display .= COM_siteFooter ();

echo $display;

?>