#!/usr/bin/php
<?php

//=============================================================================
// make_pi.php
//=============================================================================
// This is a PHP script that will replace {plugin}, {conf_var_prefix},
// {lang_var_postfix} with the names of your plugin, config var array, and
// lang var array in all the files in the Universal Plugin Kit.  This script
// is based on the perl script written by Tony Williams.
//
// Copyright (C) 2002 Tony Williams
// tonyw@honestpuck.com   http://www.honestpuck.com/
//
// Copyright (C) 2006-2007 mystral-kk - geeklog AT mystral-kk DOT net
//
// modified by dengen - dengen AT mail DOT trybase DOT com              |
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//=============================================================================

// Files to be processed

$FILES = array (
    'config.php',
    'functions.inc',
    'INSTALL',
    'install.html',
    'install_ja.html',
    'public_html/index.php',
    'admin/index.php',
    'admin/install.php',
    'language/english.php',
    'language/english_utf-8.php',
    'language/japanese.php',
    'language/japanese_utf-8.php',
    'templates/admin.thtml',
    'templates/index.thtml',
//  'sql/mysql_install.php',
//  'sql/mssql_install.php',
);

function file_write_contents( $path, $contents ) {

    $fp = @fopen( $path, "wb" );
    if ( $fp === false ) {
        echo "Cannot open file: $path\n";
        return false;
    }
    
    $retval = fwrite( $fp, $contents );
    if ( $retval === false ) {
        echo "Cannot write to file: $path\n";
        @fclose( $fp );
    } else {
        $retval = fclose( $fp );
        if ( $retval === false ) {
            echo "Cannot close file: $path\n";
        }
    }
    
    return $retval;
}

/**
*  MAIN
*/

// Checks PHP version.  Prior to 4.1.0, the $_SERVER array doesn't exist

$v = explode( '.', phpversion() );
$phpv = 10000 * $v[0] + 100 * $v[1] + $v[2];
if ( $phpv < 40100 ) {
    $_SERVER = $HTTP_SERVER_VARS;
}

// If no argument is supplied, then bail

if ( count( $_SERVER['argv'] ) == 1 ) {
    die( "USAGE for MS-Windows users:\n"
       . "php.exe -f make_pi plugin_name [config_var_prefix [lang_var_postfix [display_name]]]\n"
       . "e.g.  c:\\php\\php.exe -f make_pi.php sample SMP SMP Sample\n"
       . "When lang_var_postfix is omitted, config_var_prefix is assumed.\n"
       . "When config_var_prefix is omitted, plugin_name is adopted as config_var_prefix.\n"
       . "When display_name is omitted, plugin_name is adopted as display_name.\n"
    );
}

array_shift( $_SERVER['argv'] );    // Drop "make_pi.php"
$pi_name          = strtolower( array_shift( $_SERVER['argv'] ) );
$conf_var_prefix  = array_shift( $_SERVER['argv'] );
$lang_var_postfix = array_shift( $_SERVER['argv'] );
$display_name     = array_shift( $_SERVER['argv'] );

if ( empty( $conf_var_prefix ) ) {
    $conf_var_prefix = $pi_name;
}
$conf_var_prefix = strtoupper( $conf_var_prefix );

if ( empty( $lang_var_postfix ) ) {
    $lang_var_postfix = $conf_var_prefix;
}
$lang_var_postfix = strtoupper( $lang_var_postfix );

if ( empty( $display_name ) ) {
    $display_name = ucfirst( $pi_name );
}

$pattern = array(
    "/\{plugin\}/i", "/\{conf_var_prefix\}/i", "/\{lang_var_postfix\}/i", "/\{display_name\}/i"
);
$replace = array (
    $pi_name, $conf_var_prefix, $lang_var_postfix, $display_name
);

echo "Replacing \"{plugin}\" with \"{$pi_name}\"\n";
echo "Replacing \"{conf_var_prefix}\" with \"{$conf_var_prefix}\"\n";
echo "Replacing \"{lang_var_postfix}\" with \"{$lang_var_postfix}\"\n";
echo "Replacing \"{display_name}\" with \"{$display_name}\"\n";

// Start procesccing input files

foreach ( $FILES as $path ) {
    echo "Processing $path\n";
    $contents = file_get_contents( $path );
    if ( $contents === false ) {
        echo "Cannot open file: $path\n";
        continue;
    }
    
    $contents = preg_replace( $pattern, $replace, $contents );
    file_write_contents( $path, $contents );
}

echo "Finished replacing place-holders.\n";

// Renames the name of the icon file in public_html/images/plugin.gif

echo "Renaming the icon name ... ";

$result = @rename( 'public_html/images/plugin.gif', "public_html/images/{$pi_name}.gif" );

echo $result ? "succeeded" : "failed";
echo "\nCompleted.\n";

exit;

?>